import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Button;
import java.awt.Canvas;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Image;
import java.awt.Label;
import java.awt.MediaTracker;
import java.awt.Panel;
import java.awt.TextArea;
import java.awt.TextField;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.InputEvent;
import java.awt.event.MouseEvent;
import java.awt.event.MouseListener;
import java.util.StringTokenizer;
import java.util.Vector;

class MultiLineComment extends Panel
{
    private TextArea itsComment;
    private Defs itsDefs;

    public MultiLineComment(Defs defs)
    {
		itsDefs = defs;

		if (itsDefs.isShowMultiLineComment())
		{
			int rows = (itsDefs.getSize() == Defs.BIG_SIZE) ? 31 : 22;
			itsComment = new TextArea("", rows, 28, TextArea.SCROLLBARS_VERTICAL_ONLY);

			setFont(itsDefs.getCommentFont());
			add(itsComment);
		}
    }

    public void append(String text)
    {
		if (itsComment != null)
		{
			itsComment.append(text);
		}
    }

    public void clear()
    {
		if (itsComment != null)
		{
			itsComment.setText("");
		}
    }

    public void home()
    {
		if (itsComment != null)
		{
			itsComment.setCaretPosition(0);
		}
    }
}
	